<?php
$tdatastock_tracnsfers = array();
$tdatastock_tracnsfers[".searchableFields"] = array();
$tdatastock_tracnsfers[".ShortName"] = "stock_tracnsfers";
$tdatastock_tracnsfers[".OwnerID"] = "";
$tdatastock_tracnsfers[".OriginalTable"] = "sales_details";


$tdatastock_tracnsfers[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list1\",\"list\",\"list_list\",\"list_view\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatastock_tracnsfers[".originalPagesByType"] = $tdatastock_tracnsfers[".pagesByType"];
$tdatastock_tracnsfers[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list1\",\"list\",\"list_list\",\"list_view\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatastock_tracnsfers[".originalPages"] = $tdatastock_tracnsfers[".pages"];
$tdatastock_tracnsfers[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list1\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatastock_tracnsfers[".originalDefaultPages"] = $tdatastock_tracnsfers[".defaultPages"];

//	field labels
$fieldLabelsstock_tracnsfers = array();
$fieldToolTipsstock_tracnsfers = array();
$pageTitlesstock_tracnsfers = array();
$placeHoldersstock_tracnsfers = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsstock_tracnsfers["English"] = array();
	$fieldToolTipsstock_tracnsfers["English"] = array();
	$placeHoldersstock_tracnsfers["English"] = array();
	$pageTitlesstock_tracnsfers["English"] = array();
	$fieldLabelsstock_tracnsfers["English"]["id"] = "Id";
	$fieldToolTipsstock_tracnsfers["English"]["id"] = "";
	$placeHoldersstock_tracnsfers["English"]["id"] = "";
	$fieldLabelsstock_tracnsfers["English"]["bar_code"] = "Bar Code";
	$fieldToolTipsstock_tracnsfers["English"]["bar_code"] = "";
	$placeHoldersstock_tracnsfers["English"]["bar_code"] = "";
	$fieldLabelsstock_tracnsfers["English"]["product"] = "Product";
	$fieldToolTipsstock_tracnsfers["English"]["product"] = "";
	$placeHoldersstock_tracnsfers["English"]["product"] = "";
	$fieldLabelsstock_tracnsfers["English"]["quntity"] = "Quntity";
	$fieldToolTipsstock_tracnsfers["English"]["quntity"] = "";
	$placeHoldersstock_tracnsfers["English"]["quntity"] = "";
	$fieldLabelsstock_tracnsfers["English"]["user"] = "User";
	$fieldToolTipsstock_tracnsfers["English"]["user"] = "";
	$placeHoldersstock_tracnsfers["English"]["user"] = "";
	$fieldLabelsstock_tracnsfers["English"]["stk_tra"] = "Stk Tra";
	$fieldToolTipsstock_tracnsfers["English"]["stk_tra"] = "";
	$placeHoldersstock_tracnsfers["English"]["stk_tra"] = "";
	$fieldLabelsstock_tracnsfers["English"]["unit"] = "Unit";
	$fieldToolTipsstock_tracnsfers["English"]["unit"] = "";
	$placeHoldersstock_tracnsfers["English"]["unit"] = "";
	$fieldLabelsstock_tracnsfers["English"]["package_details"] = "Package Details";
	$fieldToolTipsstock_tracnsfers["English"]["package_details"] = "";
	$placeHoldersstock_tracnsfers["English"]["package_details"] = "";
	$fieldLabelsstock_tracnsfers["English"]["outlet_code"] = "Outlet Code";
	$fieldToolTipsstock_tracnsfers["English"]["outlet_code"] = "";
	$placeHoldersstock_tracnsfers["English"]["outlet_code"] = "";
	$fieldLabelsstock_tracnsfers["English"]["stk_tra_status"] = "Stk Tra Status";
	$fieldToolTipsstock_tracnsfers["English"]["stk_tra_status"] = "";
	$placeHoldersstock_tracnsfers["English"]["stk_tra_status"] = "";
	if (count($fieldToolTipsstock_tracnsfers["English"]))
		$tdatastock_tracnsfers[".isUseToolTips"] = true;
}


	$tdatastock_tracnsfers[".NCSearch"] = true;



$tdatastock_tracnsfers[".shortTableName"] = "stock_tracnsfers";
$tdatastock_tracnsfers[".nSecOptions"] = 0;

$tdatastock_tracnsfers[".mainTableOwnerID"] = "";
$tdatastock_tracnsfers[".entityType"] = 1;
$tdatastock_tracnsfers[".connId"] = "test2_at_localhost";


$tdatastock_tracnsfers[".strOriginalTableName"] = "sales_details";

	



$tdatastock_tracnsfers[".showAddInPopup"] = false;

$tdatastock_tracnsfers[".showEditInPopup"] = false;

$tdatastock_tracnsfers[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatastock_tracnsfers[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatastock_tracnsfers[".listAjax"] = false;
//	temporary
$tdatastock_tracnsfers[".listAjax"] = false;

	$tdatastock_tracnsfers[".audit"] = true;

	$tdatastock_tracnsfers[".locking"] = false;


$pages = $tdatastock_tracnsfers[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatastock_tracnsfers[".edit"] = true;
	$tdatastock_tracnsfers[".afterEditAction"] = 1;
	$tdatastock_tracnsfers[".closePopupAfterEdit"] = 1;
	$tdatastock_tracnsfers[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatastock_tracnsfers[".add"] = true;
$tdatastock_tracnsfers[".afterAddAction"] = 1;
$tdatastock_tracnsfers[".closePopupAfterAdd"] = 0;
$tdatastock_tracnsfers[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatastock_tracnsfers[".list"] = true;
}



$tdatastock_tracnsfers[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatastock_tracnsfers[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatastock_tracnsfers[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatastock_tracnsfers[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatastock_tracnsfers[".printFriendly"] = true;
}



$tdatastock_tracnsfers[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatastock_tracnsfers[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatastock_tracnsfers[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatastock_tracnsfers[".isUseAjaxSuggest"] = true;

$tdatastock_tracnsfers[".rowHighlite"] = true;



								
																																																																																															

$tdatastock_tracnsfers[".ajaxCodeSnippetAdded"] = false;

$tdatastock_tracnsfers[".buttonsAdded"] = true;

$tdatastock_tracnsfers[".addPageEvents"] = true;

// use timepicker for search panel
$tdatastock_tracnsfers[".isUseTimeForSearch"] = false;


$tdatastock_tracnsfers[".badgeColor"] = "008b8b";


$tdatastock_tracnsfers[".allSearchFields"] = array();
$tdatastock_tracnsfers[".filterFields"] = array();
$tdatastock_tracnsfers[".requiredSearchFields"] = array();

$tdatastock_tracnsfers[".googleLikeFields"] = array();
$tdatastock_tracnsfers[".googleLikeFields"][] = "id";
$tdatastock_tracnsfers[".googleLikeFields"][] = "bar_code";
$tdatastock_tracnsfers[".googleLikeFields"][] = "product";
$tdatastock_tracnsfers[".googleLikeFields"][] = "quntity";
$tdatastock_tracnsfers[".googleLikeFields"][] = "unit";
$tdatastock_tracnsfers[".googleLikeFields"][] = "user";
$tdatastock_tracnsfers[".googleLikeFields"][] = "stk_tra";
$tdatastock_tracnsfers[".googleLikeFields"][] = "package_details";
$tdatastock_tracnsfers[".googleLikeFields"][] = "outlet_code";
$tdatastock_tracnsfers[".googleLikeFields"][] = "stk_tra_status";



$tdatastock_tracnsfers[".tableType"] = "list";

$tdatastock_tracnsfers[".printerPageOrientation"] = 0;
$tdatastock_tracnsfers[".nPrinterPageScale"] = 100;

$tdatastock_tracnsfers[".nPrinterSplitRecords"] = 40;

$tdatastock_tracnsfers[".geocodingEnabled"] = false;










$tdatastock_tracnsfers[".pageSize"] = 500;

$tdatastock_tracnsfers[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatastock_tracnsfers[".strOrderBy"] = $tstrOrderBy;

$tdatastock_tracnsfers[".orderindexes"] = array();


$tdatastock_tracnsfers[".sqlHead"] = "SELECT id,  bar_code,  product,  quntity,  unit,  `user`,  stk_tra,  package_details,  outlet_code,  stk_tra_status";
$tdatastock_tracnsfers[".sqlFrom"] = "FROM sales_details";
$tdatastock_tracnsfers[".sqlWhereExpr"] = "";
$tdatastock_tracnsfers[".sqlTail"] = "";

//fill array of tabs for list page
$arrGridTabs = array();
$arrGridTabs[] = array(
	'tabId' => "",
	'name' => "All data",
	'nameType' => 'Text',
	'where' => "",
	'showRowCount' => 0,
	'hideEmpty' => 0,
);
$tdatastock_tracnsfers[".arrGridTabs"] = $arrGridTabs;









//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatastock_tracnsfers[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatastock_tracnsfers[".arrGroupsPerPage"] = $arrGPP;

$tdatastock_tracnsfers[".highlightSearchResults"] = true;

$tableKeysstock_tracnsfers = array();
$tableKeysstock_tracnsfers[] = "id";
$tdatastock_tracnsfers[".Keys"] = $tableKeysstock_tracnsfers;


$tdatastock_tracnsfers[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "sales_details";
	$fdata["Label"] = GetFieldLabel("stock_tracnsfers","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_tracnsfers["id"] = $fdata;
		$tdatastock_tracnsfers[".searchableFields"][] = "id";
//	bar_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "bar_code";
	$fdata["GoodName"] = "bar_code";
	$fdata["ownerTable"] = "sales_details";
	$fdata["Label"] = GetFieldLabel("stock_tracnsfers","bar_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "bar_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "bar_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "product1";
			$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"product", 'lookupF'=>"product_name");
	$edata["autoCompleteFields"][] = array('masterF'=>"unit", 'lookupF'=>"unit");
	$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "bar_code";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "bar_code";

	

	
	$edata["LookupOrderBy"] = "branch_code";

	
	
	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_tracnsfers["bar_code"] = $fdata;
		$tdatastock_tracnsfers[".searchableFields"][] = "bar_code";
//	product
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "product";
	$fdata["GoodName"] = "product";
	$fdata["ownerTable"] = "sales_details";
	$fdata["Label"] = GetFieldLabel("stock_tracnsfers","product");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "product";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "product";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
		$eventsData = array();
	$eventsData[] = array( "name" => "quntity_event", "type" => "click" );
	$eventsData[] = array( "name" => "quntity_event", "type" => "mouseover" );
	$eventsData[] = array( "name" => "quntity_event", "type" => "blur" );
	$edata["fieldEvents"] = $eventsData;


// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "product1";
		$edata["listPageId"] = "list";
		$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"bar_code", 'lookupF'=>"bar_code");
	$edata["autoCompleteFields"][] = array('masterF'=>"unit", 'lookupF'=>"unit");
	$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "product_name";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "product_name";

	

	
	$edata["LookupOrderBy"] = "product_name";

	
	
	
	

	
	
	
// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_tracnsfers["product"] = $fdata;
		$tdatastock_tracnsfers[".searchableFields"][] = "product";
//	quntity
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "quntity";
	$fdata["GoodName"] = "quntity";
	$fdata["ownerTable"] = "sales_details";
	$fdata["Label"] = GetFieldLabel("stock_tracnsfers","quntity");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "quntity";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "quntity";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
		$eventsData = array();
	$eventsData[] = array( "name" => "quntity_event", "type" => "editing" );
	$edata["fieldEvents"] = $eventsData;




	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_tracnsfers["quntity"] = $fdata;
		$tdatastock_tracnsfers[".searchableFields"][] = "quntity";
//	unit
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "unit";
	$fdata["GoodName"] = "unit";
	$fdata["ownerTable"] = "sales_details";
	$fdata["Label"] = GetFieldLabel("stock_tracnsfers","unit");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "unit";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "unit";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_tracnsfers["unit"] = $fdata;
		$tdatastock_tracnsfers[".searchableFields"][] = "unit";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "sales_details";
	$fdata["Label"] = GetFieldLabel("stock_tracnsfers","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_tracnsfers["user"] = $fdata;
		$tdatastock_tracnsfers[".searchableFields"][] = "user";
//	stk_tra
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "stk_tra";
	$fdata["GoodName"] = "stk_tra";
	$fdata["ownerTable"] = "sales_details";
	$fdata["Label"] = GetFieldLabel("stock_tracnsfers","stk_tra");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "stk_tra";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "stk_tra";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_tracnsfers["stk_tra"] = $fdata;
		$tdatastock_tracnsfers[".searchableFields"][] = "stk_tra";
//	package_details
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "package_details";
	$fdata["GoodName"] = "package_details";
	$fdata["ownerTable"] = "sales_details";
	$fdata["Label"] = GetFieldLabel("stock_tracnsfers","package_details");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "package_details";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "package_details";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=200";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_tracnsfers["package_details"] = $fdata;
		$tdatastock_tracnsfers[".searchableFields"][] = "package_details";
//	outlet_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "outlet_code";
	$fdata["GoodName"] = "outlet_code";
	$fdata["ownerTable"] = "sales_details";
	$fdata["Label"] = GetFieldLabel("stock_tracnsfers","outlet_code");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "outlet_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "outlet_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_tracnsfers["outlet_code"] = $fdata;
		$tdatastock_tracnsfers[".searchableFields"][] = "outlet_code";
//	stk_tra_status
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "stk_tra_status";
	$fdata["GoodName"] = "stk_tra_status";
	$fdata["ownerTable"] = "sales_details";
	$fdata["Label"] = GetFieldLabel("stock_tracnsfers","stk_tra_status");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "stk_tra_status";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "stk_tra_status";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock_tracnsfers["stk_tra_status"] = $fdata;
		$tdatastock_tracnsfers[".searchableFields"][] = "stk_tra_status";


$tables_data["stock_tracnsfers"]=&$tdatastock_tracnsfers;
$field_labels["stock_tracnsfers"] = &$fieldLabelsstock_tracnsfers;
$fieldToolTips["stock_tracnsfers"] = &$fieldToolTipsstock_tracnsfers;
$placeHolders["stock_tracnsfers"] = &$placeHoldersstock_tracnsfers;
$page_titles["stock_tracnsfers"] = &$pageTitlesstock_tracnsfers;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["stock_tracnsfers"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["stock_tracnsfers"] = array();



	
				$strOriginalDetailsTable="stock_transfer";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="stock_transfer";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "stock_transfer";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["stock_tracnsfers"][0] = $masterParams;
				$masterTablesData["stock_tracnsfers"][0]["masterKeys"] = array();
	$masterTablesData["stock_tracnsfers"][0]["masterKeys"][]="id";
				$masterTablesData["stock_tracnsfers"][0]["detailKeys"] = array();
	$masterTablesData["stock_tracnsfers"][0]["detailKeys"][]="stk_tra";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_stock_tracnsfers()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  bar_code,  product,  quntity,  unit,  `user`,  stk_tra,  package_details,  outlet_code,  stk_tra_status";
$proto0["m_strFrom"] = "FROM sales_details";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "sales_details",
	"m_srcTableName" => "stock_tracnsfers"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "stock_tracnsfers";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "bar_code",
	"m_strTable" => "sales_details",
	"m_srcTableName" => "stock_tracnsfers"
));

$proto8["m_sql"] = "bar_code";
$proto8["m_srcTableName"] = "stock_tracnsfers";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "product",
	"m_strTable" => "sales_details",
	"m_srcTableName" => "stock_tracnsfers"
));

$proto10["m_sql"] = "product";
$proto10["m_srcTableName"] = "stock_tracnsfers";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "quntity",
	"m_strTable" => "sales_details",
	"m_srcTableName" => "stock_tracnsfers"
));

$proto12["m_sql"] = "quntity";
$proto12["m_srcTableName"] = "stock_tracnsfers";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "unit",
	"m_strTable" => "sales_details",
	"m_srcTableName" => "stock_tracnsfers"
));

$proto14["m_sql"] = "unit";
$proto14["m_srcTableName"] = "stock_tracnsfers";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "sales_details",
	"m_srcTableName" => "stock_tracnsfers"
));

$proto16["m_sql"] = "`user`";
$proto16["m_srcTableName"] = "stock_tracnsfers";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "stk_tra",
	"m_strTable" => "sales_details",
	"m_srcTableName" => "stock_tracnsfers"
));

$proto18["m_sql"] = "stk_tra";
$proto18["m_srcTableName"] = "stock_tracnsfers";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "package_details",
	"m_strTable" => "sales_details",
	"m_srcTableName" => "stock_tracnsfers"
));

$proto20["m_sql"] = "package_details";
$proto20["m_srcTableName"] = "stock_tracnsfers";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "outlet_code",
	"m_strTable" => "sales_details",
	"m_srcTableName" => "stock_tracnsfers"
));

$proto22["m_sql"] = "outlet_code";
$proto22["m_srcTableName"] = "stock_tracnsfers";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "stk_tra_status",
	"m_strTable" => "sales_details",
	"m_srcTableName" => "stock_tracnsfers"
));

$proto24["m_sql"] = "stk_tra_status";
$proto24["m_srcTableName"] = "stock_tracnsfers";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto26=array();
$proto26["m_link"] = "SQLL_MAIN";
			$proto27=array();
$proto27["m_strName"] = "sales_details";
$proto27["m_srcTableName"] = "stock_tracnsfers";
$proto27["m_columns"] = array();
$proto27["m_columns"][] = "id";
$proto27["m_columns"][] = "bar_code";
$proto27["m_columns"][] = "product";
$proto27["m_columns"][] = "quntity";
$proto27["m_columns"][] = "price";
$proto27["m_columns"][] = "m_id";
$proto27["m_columns"][] = "sub_total";
$proto27["m_columns"][] = "user";
$proto27["m_columns"][] = "discount";
$proto27["m_columns"][] = "tax";
$proto27["m_columns"][] = "newp";
$proto27["m_columns"][] = "stk_tra";
$proto27["m_columns"][] = "unit";
$proto27["m_columns"][] = "stk_tra_status";
$proto27["m_columns"][] = "package_details";
$proto27["m_columns"][] = "date_time";
$proto27["m_columns"][] = "outlet_code";
$obj = new SQLTable($proto27);

$proto26["m_table"] = $obj;
$proto26["m_sql"] = "sales_details";
$proto26["m_alias"] = "";
$proto26["m_srcTableName"] = "stock_tracnsfers";
$proto28=array();
$proto28["m_sql"] = "";
$proto28["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto28["m_column"]=$obj;
$proto28["m_contained"] = array();
$proto28["m_strCase"] = "";
$proto28["m_havingmode"] = false;
$proto28["m_inBrackets"] = false;
$proto28["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto28);

$proto26["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto26);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="stock_tracnsfers";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_stock_tracnsfers = createSqlQuery_stock_tracnsfers();


	
		;

										

$tdatastock_tracnsfers[".sqlquery"] = $queryData_stock_tracnsfers;



$tableEvents["stock_tracnsfers"] = new eventsBase;
$tdatastock_tracnsfers[".hasEvents"] = false;

?>